<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>balancedBodyForce &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>balancedBodyForce
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">48 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">balancedBodyForce</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine balancedBodyForce(fb, f, nComp)
    
    
   
</h2>
    
  


    
    <p>addBalancedBodyForce takes a body force, perform a stabilization procedure and then it adds it to the equation.
This subroutine is experimental and its definition is found is eq. (15.211) Moukalleld et al., 1st edition.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fb"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fb</strong>(numberOfElements+numberOfBFaces,nComp)</td><td><p>balanced body force</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-f%7E2"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>f</strong>(numberOfElements+numberOfBFaces,nComp)</td><td><p>body force to balance</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ncomp%7E24"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~balancedbodyforce~~CallsGraph Pages: 1 -->
<svg id="procbalancedbodyforceCallsGraph" width="511pt" height="200pt"
 viewBox="0.00 0.00 511.00 200.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~balancedbodyforce~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 196)">
<title>proc~~balancedbodyforce~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 507,-196 507,4 -4,4"/>
<!-- proc~balancedbodyforce -->
<g id="proc~~balancedbodyforce~~CallsGraph_node1" class="node">
<title>proc~balancedbodyforce</title>
<polygon fill="none" stroke="#000000" points="107,-129 0,-129 0,-105 107,-105 107,-129"/>
<text text-anchor="middle" x="53.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">balancedBodyForce</text>
</g>
<!-- flubiostopmsg -->
<g id="proc~~balancedbodyforce~~CallsGraph_node2" class="node">
<title>flubiostopmsg</title>
<polygon fill="#777777" stroke="#777777" points="222,-150 143,-150 143,-126 222,-126 222,-150"/>
<text text-anchor="middle" x="182.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostopmsg</text>
</g>
<!-- proc~balancedbodyforce&#45;&gt;flubiostopmsg -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge1" class="edge">
<title>proc~balancedbodyforce&#45;&gt;flubiostopmsg</title>
<path fill="none" stroke="#000000" d="M107.0869,-125.7235C115.5517,-127.1014 124.2747,-128.5215 132.6499,-129.8849"/>
<polygon fill="#000000" stroke="#000000" points="132.2199,-133.3609 142.6524,-131.5132 133.3447,-126.4518 132.2199,-133.3609"/>
</g>
<!-- proc~interpolate -->
<g id="proc~~balancedbodyforce~~CallsGraph_node3" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~balancedbodyforce~~CallsGraph_node3"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="214,-108 151,-108 151,-84 214,-84 214,-108"/>
<text text-anchor="middle" x="182.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~balancedbodyforce&#45;&gt;proc~interpolate -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge2" class="edge">
<title>proc~balancedbodyforce&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M107.0869,-108.2765C118.3131,-106.449 129.9935,-104.5476 140.7141,-102.8023"/>
<polygon fill="#000000" stroke="#000000" points="141.3448,-106.2458 150.6525,-101.1845 140.22,-99.3368 141.3448,-106.2458"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~balancedbodyforce~~CallsGraph_node4" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="391,-192 276,-192 276,-168 391,-168 391,-192"/>
<text text-anchor="middle" x="333.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge3" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M208.8664,-108.2363C213.4362,-110.8471 217.9995,-113.7952 222,-117 241.1878,-132.3712 237.2582,-145.8007 258,-159 260.7548,-160.753 263.6566,-162.3619 266.6537,-163.8384"/>
<polygon fill="#000000" stroke="#000000" points="265.3151,-167.073 275.879,-167.8817 268.1251,-160.6618 265.3151,-167.073"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~balancedbodyforce~~CallsGraph_node5" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="403,-150 264,-150 264,-126 403,-126 403,-150"/>
<text text-anchor="middle" x="333.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge4" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M214.1545,-104.8046C233.2782,-110.1237 258.1453,-117.0404 280.2273,-123.1824"/>
<polygon fill="#000000" stroke="#000000" points="279.5743,-126.6336 290.1465,-125.9414 281.4502,-119.8896 279.5743,-126.6336"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~balancedbodyforce~~CallsGraph_node6" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="376,-108 291,-108 291,-84 376,-84 376,-108"/>
<text text-anchor="middle" x="333.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M214.1545,-96C233.3414,-96 258.3096,-96 280.4461,-96"/>
<polygon fill="#000000" stroke="#000000" points="280.7161,-99.5001 290.7161,-96 280.716,-92.5001 280.7161,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~balancedbodyforce~~CallsGraph_node7" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="406,-66 261,-66 261,-42 406,-42 406,-66"/>
<text text-anchor="middle" x="333.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M214.1545,-87.1954C233.2782,-81.8763 258.1453,-74.9596 280.2273,-68.8176"/>
<polygon fill="#000000" stroke="#000000" points="281.4502,-72.1104 290.1465,-66.0586 279.5743,-65.3664 281.4502,-72.1104"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~balancedbodyforce~~CallsGraph_node8" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~balancedbodyforce~~CallsGraph_node8"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="409,-24 258,-24 258,0 409,0 409,-24"/>
<text text-anchor="middle" x="333.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge7" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M194.1284,-83.5099C208.0259,-69.2954 232.6051,-46.3288 258,-33 261.727,-31.0439 265.6558,-29.2538 269.6832,-27.6183"/>
<polygon fill="#000000" stroke="#000000" points="271.0568,-30.8418 279.211,-24.0771 268.6181,-24.2803 271.0568,-30.8418"/>
</g>
<!-- flubiostop -->
<g id="proc~~balancedbodyforce~~CallsGraph_node9" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="503,-24 445,-24 445,0 503,0 503,-24"/>
<text text-anchor="middle" x="474" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~balancedbodyforce~~CallsGraph_edge8" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M409.0965,-12C417.9482,-12 426.686,-12 434.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="434.8963,-15.5001 444.8963,-12 434.8963,-8.5001 434.8963,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~balancedbodyforce~~CalledByGraph Pages: 1 -->
<svg id="procbalancedbodyforceCalledByGraph" width="276pt" height="32pt"
 viewBox="0.00 0.00 276.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~balancedbodyforce~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~balancedbodyforce~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 272,-28 272,4 -4,4"/>
<!-- proc~balancedbodyforce -->
<g id="proc~~balancedbodyforce~~CalledByGraph_node1" class="node">
<title>proc~balancedbodyforce</title>
<polygon fill="none" stroke="#000000" points="268,-24 161,-24 161,0 268,0 268,-24"/>
<text text-anchor="middle" x="214.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">balancedBodyForce</text>
</g>
<!-- proc~addbalancedbodyforce -->
<g id="proc~~balancedbodyforce~~CalledByGraph_node2" class="node">
<title>proc~addbalancedbodyforce</title>
<g id="a_proc~~balancedbodyforce~~CalledByGraph_node2"><a xlink:href=".././proc/addbalancedbodyforce.html" xlink:title="addbalancedBodyForce">
<polygon fill="#d9534f" stroke="#d9534f" points="125,-24 0,-24 0,0 125,0 125,-24"/>
<text text-anchor="middle" x="62.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">addbalancedBodyForce</text>
</a>
</g>
</g>
<!-- proc~addbalancedbodyforce&#45;&gt;proc~balancedbodyforce -->
<g id="proc~~balancedbodyforce~~CalledByGraph_edge1" class="edge">
<title>proc~addbalancedbodyforce&#45;&gt;proc~balancedbodyforce</title>
<path fill="none" stroke="#000000" d="M125.2018,-12C133.5738,-12 142.1679,-12 150.5608,-12"/>
<polygon fill="#000000" stroke="#000000" points="150.6699,-15.5001 160.6698,-12 150.6698,-8.5001 150.6699,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>